在7.04上装ATI 8.33.6驱动成功

为当前最终发行版之前的所有版本提供支持
回复
fenglin
帖子: 13
注册时间: 2005-12-21 23:32
送出感谢: 0
接收感谢: 0

在7.04上装ATI 8.33.6驱动成功

#1

帖子 fenglin » 2007-01-31 20:58

需要自己编译,手动安装。在我的9600显卡的T42中测试过,暂没发现有啥问题。不过还是可能存在不可预料问题,风险自负,呵呵!

先安照以下贴子装最新的8.33.6版
about26188.html

然后用附件替掉/usr/src/modules/fglrx目录里的firegl_public.c文件。

接着按以下命令
sudo cd /usr/src/modules/fglrx
sudo make
sudo mkdir /lib/modules/2.6.20-5-generic/misc
sudo cp fglrx.ko /lib/modules/2.6.20-5-generic/misc
sudo depmod -a
再重启应该就可以了。


跟大家一样,没忍住7.04的诱惑。试了之后发现确实不错,启动和操作反应速度有明显提升,稳定性也不错。打算把6.10给卸了,以后用7.04。
附件
firegl_public.c.tar.gz
(26.89 KiB) 下载 50 次
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 juanzhewudi » 2007-01-31 21:59

这样编译一下的有什么好处么?我一直都是用的源里的fglrx官方驱动。。。麻烦解释一下
fenglin
帖子: 13
注册时间: 2005-12-21 23:32
送出感谢: 0
接收感谢: 0

#3

帖子 fenglin » 2007-02-01 1:17

呵呵,我想这么做的一个重要原因是灵活性,利于维护。不然每次内核有变化,ATI都要编译一堆驱动。
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#4

帖子 zhuqin_83 » 2007-02-01 1:28

juanzhewudi 写了:这样编译一下的有什么好处么?我一直都是用的源里的fglrx官方驱动。。。麻烦解释一下
驱动当然越新越好咯,还用说么?支持新特性,bug少,等等。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
jl_chang
帖子: 115
注册时间: 2006-01-14 1:13
送出感谢: 0
接收感谢: 0

#5

帖子 jl_chang » 2007-02-01 22:53

没说清楚,用的是方法一安装和方法二安装,方法二在编译步骤有错,无法继续进行的
jl_chang
帖子: 115
注册时间: 2006-01-14 1:13
送出感谢: 0
接收感谢: 0

#6

帖子 jl_chang » 2007-02-01 22:54

能顺便给出XGL的安装方法么?
回复

回到 “老旧版本支持”